# Role: systemd_oomd

## Description

Installs and configures systemd-oomd.

https://www.man7.org/linux/man-pages/man8/systemd-oomd.8.html

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.systemd_oomd
  vars:
    ...
```

### Vars

`systemd_oomd_swap_used_limit`:

Percentage of swap used before killing the violating process.

`systemd_oomd_default_memory_pressure_duration_sec`:

Memory pressure duration before killing the violating process.
